Bug 1737123 - Cloud Intel > Reports not accessible with 503 service unavailable
Summary: Cloud Intel > Reports not accessible with 503 service unavailable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.10.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.10.9
Assignee: Dávid Halász
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1725142
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-02 17:38 UTC by Satoe Imaishi
Modified: 2019-11-28 18:44 UTC (History)
14 users (show)

Fixed In Version: 5.10.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1725142
Environment:
Last Closed: 2019-09-05 05:25:13 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2587 None None None 2019-09-05 05:25:29 UTC

Comment 2 CFME Bot 2019-08-14 16:30:56 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/415ba8afec7b433ff8219bc6cf46edb77a1f6fb4
commit 415ba8afec7b433ff8219bc6cf46edb77a1f6fb4
Author:     Keenan Brock <keenan@thebrocks.net>
AuthorDate: Thu Aug  1 15:42:28 2019 -0400
Commit:     Keenan Brock <keenan@thebrocks.net>
CommitDate: Thu Aug  1 15:42:28 2019 -0400

    Merge pull request #19082 from skateman/report-result-blob-blank

    Don't load BinaryBlobParts when determining if MiqReportResult is blank

    (cherry picked from commit 421d105b6c8b851f315c72608ca89250a5052b4a)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1737123

 app/models/miq_report_result.rb | 11 +-
 spec/models/miq_report_result_spec.rb | 19 +
 2 files changed, 29 insertions(+), 1 deletion(-)

Comment 3 Parthvi Vala 2019-08-21 12:09:25 UTC
FIXED. Verified on 5.10.9.0.20190819184228_a6f851e.
Was able to navigate to reports successfully and also access all the reports, including the one which had >31k rows, and it didn't take much time to load either.

Thank you Niladri for all the help. :)

Comment 5 errata-xmlrpc 2019-09-05 05:25:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2587


Note You need to log in before you can comment on or make changes to this bug.